Classes | Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKGraphInternal::Group Struct Referencefinal

Internal: the group of a HanMacWrdKGraph. More...

Inheritance diagram for HanMacWrdKGraphInternal::Group:

## Classes
struct | Child
| struct to store child data in HanMacWrdKGraphInternal::Group More...

## Public Member Functions
| Group (Frame const &orig)
| constructor More...
| ~Group () final
| destructor More...
std::string | print () const
| print local data More...
Public Member Functions inherited from HanMacWrdKGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the frame bdbox More...

## Public Attributes
std::vector< Child > | m_childsList
| the list of child More...
Public Attributes inherited from HanMacWrdKGraphInternal::Frame
int | m_type
| the graph type More...
long | m_fileId
| the file id More...
long | m_fileSubId
| the file sub id More...
int | m_id
| the local id More...
int | m_page
| the page More...
MWAWBox2f | m_pos
| the position More...
float | m_baseline
| the baseline More...
int | m_posFlags
| the graph anchor flags More...
MWAWGraphicStyle | m_style
| the style More...
int | m_borderType
| the border type More...
MWAWVec2f | m_borders [4]
| the border default size (before using width), 0 means Top, other unknown More...
bool | m_inGroup
| true if the frame is a child of a group More...
bool | m_parsed
| true if we have send the data More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Group const &group)
| operator<< More...

## Detailed Description

Internal: the group of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## ◆ Group()

HanMacWrdKGraphInternal::Group::Group | ( | Frame const & | orig | ) |
| inline explicit

constructor

## ◆ ~Group()

HanMacWrdKGraphInternal::Group::~Group | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdKGraphInternal::Group::print | ( |  | ) | const

print local data

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Group const & | group
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_childsList

std::vector<Child> HanMacWrdKGraphInternal::Group::m_childsList

the list of child

Referenced by HanMacWrdKGraph::canCreateGraphic(), HanMacWrdKGraph::checkGroupStructures(), HanMacWrdKGraph::sendGroup(), and HanMacWrdKGraph::sendGroupChild().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx